using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Reflection;
using JuSNS.Model;


namespace JuSNS.Factory
{
    public interface Iram
    {
        IDataReader GetUser(int TN, int Num, int ProID, int UserID, int Sex);
        IDataReader GetMood(int Num,int By);
        IDataReader GetBlog(int Num,int By);
        IDataReader GetShare(int Num,int By);
        DataTable GetAlbum(int Num, int By, int UserID);
    }

    public sealed partial class DataAccess
    {
        public static Iram Createram()
        {
            string className = path + ".ram";
            return (Iram)Assembly.Load(path).CreateInstance(className);
        }
    }
}
